Package org.eclipse.lemminx.commons.snippets

## Interface ISnippetRegistryLoader

All Known Implementing Classes:
  `XMLSnippetRegistryLoader`

    public interface ISnippetRegistryLoader

Loader used to load snippets in a given registry for a language id.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default String` `getLanguageId()` Returns the language id and null otherwise.
`void` `load​(SnippetRegistry registry)` Register snippets in the given snippet registry.

### Method Detail

#### load

    void load​(SnippetRegistry registry)
       throws Exception

Register snippets in the given snippet registry.

Parameters:
  `registry` -
Throws:
  `Exception`

#### getLanguageId

    default String getLanguageId()

Returns the language id and null otherwise.

Returns:
  the language id and null otherwise.